// ***********************************************************
// This example support/index.js is processed and
// loaded automatically before your test files.
//
// This is a great place to put global configuration and
// behavior that modifies Cypress.
//
// You can change the location of this file or turn off
// automatically serving support files with the
// 'supportFile' configuration option.
//
// You can read more here:
// https://on.cypress.io/configuration
// ***********************************************************

// Import commands.js using ES2015 syntax:
import './commands'
import { interceptAPI } from './interceptAPI'

// Alternatively you can use CommonJS syntax:
// require('./commands')

// load the configuration variables into the window
// these are copied from public/config.js
// but copying is bad
// maybe we need to rethink how we do config
window.SERVER_ADDRESS=''
window.API_BASE_ENDPOINT='/api/spec'
window.TOKEN_RENEW_INTERVAL=180000
window.CCDB_ADDRESS='https://ccdb.esss.lu.se'
window.ENVIRONMENT_TITLE = ''

// intercept API requests in component tests
if (Cypress.testingType === 'component') {
  beforeEach(() => {
    interceptAPI();
  });
}
