import React from "react";
import { IOCTable } from "./IOCTable";
import { Container } from "@material-ui/core";
import iocs from "../../mocks/fixtures/PagedIOCResponse.json";
import asyncCombinedIOCs from "../../mocks/fixtures/AsyncCombinedIOCs.json";
import { RouterHarness } from "../../mocks/AppHarness";

export default {
  title: "IOC/IOCTable",
  component: IOCTable,
  argTypes: {
    rowType: {
      options: ["explore", "own", "host"],
      control: { type: "radio" },
    }
  }
};

const Template = (args) => <RouterHarness><Container><IOCTable {...args} /></Container></RouterHarness>;

export const Empty = Template.bind({});
Empty.args = {
  rowType: "explore",
  loading: false,
  iocs: [],
  paginator: true,
  totalCount: 0,
  rowsPerPage: [5, 10, 20, 50, 100],
  lazyParams: { rows: 10, page: 0 },
  columnSort: { sortField: null, sortOrder: null },
  setLazyParams: () => { },
  setColumnSort: () => { },
}

export const EmptyLoading = Template.bind({});
EmptyLoading.args = { ...Empty.args, loading: true }

export const BeforeAsync = Template.bind({});
BeforeAsync.args = { ...Empty.args, totalCount: iocs.totalCount, iocs: iocs.iocList}

export const AfterAsync = Template.bind({});
AfterAsync.args = { ...BeforeAsync.args, iocs: asyncCombinedIOCs}
