import React, { useContext, useState} from "react";
import { Navigate } from "react-router-dom";
import { IOCUndeployDialog } from "./IOCUndeployDialog";
import { notificationContext } from "../../components/common/notification/Notifications";

// Process component
export function UndeployIOC({ open, setOpen, submitCallback, hook, ioc }) {
  function onError(message) {
    setError(message);
  }
  const [deployment, action] = hook(onError);
  const [error, setError] = useState();
  const {watchDeployment} = useContext(notificationContext);

  if (!deployment) {
    return (<IOCUndeployDialog open={open} setOpen={setOpen} submitCallback={action} ioc={ioc} error={error}/>);
  }
  else {
    submitCallback(); // This works but throws a warning because I am changing state in the parent while the child is rerendering. Not sure yet how to fix.
    watchDeployment(deployment.id);
    return (<Navigate to={`/deployments/${deployment.id}`} push />);
  }
}
