import React from 'react';
import { Hidden } from "@material-ui/core";
import { DeploymentDetailFetcher } from "./DeploymentDetailFetcher";
import { DeploymentsTable } from "./DeploymentsTable";
import { DeploymentsList } from "./DeploymentsList";

export function DeploymentAsyncList({ deployments, setDeployments, totalCount, lazyParams, setLazyParams, columnSort, setColumnSort, rowsPerPage, loading, paginator}) {
  const deploymentDetailFetchers = 
    deployments.map((deployment, index) => <DeploymentDetailFetcher 
        key={`deployment-${deployment.id}`} deployment={deployment} index={index} setDeployments={setDeployments} />);

  return(
    <>
      <Hidden smUp>
        <DeploymentsList deployments={deployments} loading={loading}/>
      </Hidden>
      <Hidden xsDown>
        <DeploymentsTable
            deployments={deployments} loading={loading}
            totalCount={totalCount} lazyParams={lazyParams} setLazyParams={setLazyParams} columnSort={columnSort} setColumnSort={setColumnSort}
            rowsPerPage={rowsPerPage} />
      </Hidden>
      {deploymentDetailFetchers}
    </>
  );
}