import React from 'react';
import {
  Paper,
  Typography,
  Box,
  Button,
  makeStyles
} from "@material-ui/core";
import { RootContainer } from "../../components/common/Container/RootContainer";
import { useRedirect } from '../../hooks/Redirect';

const useStyles = makeStyles((theme) => ({
  paper: {
    maxWidth: "80%",
    padding: theme.spacing(4),
  },
}));

export default function NotFound({message}) {
    const classes = useStyles();
    const redirect = useRedirect();

    const goHome = () =>{ 
      redirect("/home");
    }

    return (
      <RootContainer>
        <Paper className={classes.paper}>
          <Box display="flex" justifyContent="center">
            <Typography variant="h3">404</Typography>
          </Box>
          <Box display="flex" justifyContent="center" paddingTop={1} paddingBottom={3}>
            <Typography variant="h4">{message ?? " Page not found"}</Typography>
          </Box>
          <Box display="flex" justifyContent="center">
            <Button variant="contained" color="secondary" onClick={goHome} >Return to Home</Button>
          </Box>
        </Paper>
      </RootContainer>
    );
  }