import React, { useState, useEffect } from "react";
import { useChannelSearch } from "../../api/SwaggerApi";
import { initRequestParams } from "../../components/common/Helper";
import { RecordTable } from "../../components/records/RecordTable";

export function RecordContainer({iocName}) {

  const [records, getRecords, /*reset*/, loading] = useChannelSearch();

  const [lazyParams, setLazyParams] = useState({
    first: 0,
    rows: 20,
    page: 0
  });

  const rowsPerPage = [20, 50];

  useEffect(() => {
    let requestParams = initRequestParams(lazyParams);
    getRecords({...requestParams, ioc_name: iocName})
  }, [getRecords, lazyParams, iocName])

  return (
    <RecordTable records={records} rowType="iocDetails" loading={loading} lazyParams={lazyParams} setLazyParams={setLazyParams}
      rowsPerPage={rowsPerPage} />
  );
}
